summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2015-06-30 21:12:35 +0100
committerV3n3RiX <venerix@rogentos.ro>2015-06-30 21:12:35 +0100
commita39b18b621472205b9f06bb6def43014c25ab5fe (patch)
tree349ef48cb059e279047c01a3475eba92fa2baa34 /eclass
parent20683dd8ae30816040cccff8ca8dd8db32bdad29 (diff)
parentf8cb9b6e71fdfa21c96650bb1bf62b001cef3655 (diff)
Merge remote-tracking branch 'upstream/master'
Diffstat (limited to 'eclass')
-rw-r--r--eclass/argent-artwork.eclass (renamed from eclass/sabayon-artwork.eclass)10
-rw-r--r--eclass/argent-kernel.eclass (renamed from eclass/sabayon-kernel.eclass)172
-rw-r--r--eclass/kogaion-kernel.eclass1
3 files changed, 91 insertions, 92 deletions
diff --git a/eclass/sabayon-artwork.eclass b/eclass/argent-artwork.eclass
index f0aac62d..f430903a 100644
--- a/eclass/sabayon-artwork.eclass
+++ b/eclass/argent-artwork.eclass
@@ -13,12 +13,12 @@ KERN_INITRAMFS_SEARCH_NAME="${KERN_INITRAMFS_SEARCH_NAME:-initramfs-genkernel*}"
# @ECLASS-VARIABLE: GFX_SPLASH_NAME
# @DESCRIPTION:
# Default splash theme name to use
-GFX_SPLASH_NAME="${GFX_SPLASH_NAME:-sabayon}"
+GFX_SPLASH_NAME="${GFX_SPLASH_NAME:-argent}"
# @ECLASS-VARIABLE: PLYMOUTH_THEME
# @DESCRIPTION:
# Default plymouth theme name to use
-PLYMOUTH_THEME="${PLYMOUTH_THEME:-sabayon}"
+PLYMOUTH_THEME="${PLYMOUTH_THEME:-argent}"
# @FUNCTION: update_kernel_initramfs_splash
# @USAGE: update_kernel_initramfs_splash [splash_theme] [splash_file]
@@ -39,12 +39,12 @@ update_kernel_initramfs_splash() {
}
-# @FUNCTION: update_sabayon_kernel_initramfs_splash
-# @USAGE: update_sabayon_kernel_initramfs_splash
+# @FUNCTION: update_argent_kernel_initramfs_splash
+# @USAGE: update_argent_kernel_initramfs_splash
#
# @MAINTAINER:
# Fabio Erculiani
-update_sabayon_kernel_initramfs_splash() {
+update_argent_kernel_initramfs_splash() {
local splash_name="${GFX_SPLASH_NAME}"
local override_splash_file="${ROOT}etc/oem/splash_name"
if [ -f "${override_splash_file}" ]; then
diff --git a/eclass/sabayon-kernel.eclass b/eclass/argent-kernel.eclass
index 710aa0a7..f5d200ac 100644
--- a/eclass/sabayon-kernel.eclass
+++ b/eclass/argent-kernel.eclass
@@ -1,47 +1,47 @@
-# Copyright 2004-2010 Sabayon Project
+# Copyright 2004-2014 RogentOS Team
# Distributed under the terms of the GNU General Public License v2
# $
-# @ECLASS-VARIABLE: K_SABKERNEL_NAME
+# @ECLASS-VARIABLE: K_ARGKERNEL_NAME
# @DESCRIPTION:
# The kernel name used by the ebuild, it should be the ending ${PN} part
-# for example, of linux-sabayon it is "${PN/${PN/-*}-}" (sabayon)
-K_SABKERNEL_NAME="${K_SABKERNEL_NAME:-${PN/${PN/-*}-}}"
+# for example, of linux-argent it is "${PN/${PN/-*}-}" (argent)
+K_ARGKERNEL_NAME="${K_ARGKERNEL_NAME:-${PN/${PN/-*}-}}"
-# @ECLASS-VARIABLE: K_SABKERNEL_SELF_TARBALL_NAME
+# @ECLASS-VARIABLE: K_ARGKERNEL_SELF_TARBALL_NAME
# @DESCRIPTION:
# If the main kernel sources tarball is generated in-house and available
-# on the "sabayon" mirror, set this variable to the extension name (see example
+# on the "argent" mirror, set this variable to the extension name (see example
# below). This will disable ALL the extra/local patches (since they have to
-# be applied inside the tarball). Moreover, K_SABKERNEL_NAME,
+# be applied inside the tarball). Moreover, K_ARGKERNEL_NAME,
# K_KERNEL_PATCH_VER will be ignored.
# Example:
-# K_SABKERNEL_SELF_TARBALL_NAME="sabayon"
+# K_ARGKERNEL_SELF_TARBALL_NAME="argent"
# This would generate:
-# SRC_URI="mirror://sabayon/sys-kernel/linux-${PV}+sabayon.tar.${K_TARBALL_EXT}"
-K_SABKERNEL_SELF_TARBALL_NAME="${K_SABKERNEL_SELF_TARBALL_NAME:-}"
+# SRC_URI="mirror://argent/sys-kernel/linux-${PV}+argent.tar.${K_TARBALL_EXT}"
+K_ARGKERNEL_SELF_TARBALL_NAME="${K_ARGKERNEL_SELF_TARBALL_NAME:-}"
-# @ECLASS-VARIABLE: K_SABKERNEL_PATCH_UPSTREAM_TARBALL
+# @ECLASS-VARIABLE: K_ARGKERNEL_PATCH_UPSTREAM_TARBALL
# @DESCRIPTION:
# If set to 1, the ebuild will fetch the upstream kernel tarball and
-# apply the Sabayon patch against it. This strategy avoids the need of
+# apply the RogentOS patch against it. This strategy avoids the need of
# creating complete kernel source tarballs. The default value is 0.
-K_SABKERNEL_PATCH_UPSTREAM_TARBALL="${K_SABKERNEL_PATCH_UPSTREAM_TARBALL:-0}"
+K_ARGKERNEL_PATCH_UPSTREAM_TARBALL="${K_ARGKERNEL_PATCH_UPSTREAM_TARBALL:-0}"
-# @ECLASS-VARIABLE: K_SABKERNEL_FORCE_SUBLEVEL
+# @ECLASS-VARIABLE: K_ARGKERNEL_FORCE_SUBLEVEL
# @DESCRIPTION:
# Force the rewrite of SUBLEVEL in kernel sources Makefile
-K_SABKERNEL_FORCE_SUBLEVEL="${K_SABKERNEL_FORCE_SUBLEVEL:-}"
+K_ARGKERNEL_FORCE_SUBLEVEL="${K_ARGKERNEL_FORCE_SUBLEVEL:-}"
-# @ECLASS-VARIABLE: K_SABKERNEL_RESET_EXTRAVERSION
+# @ECLASS-VARIABLE: K_ARGKERNEL_RESET_EXTRAVERSION
# @DESCRIPTION:
# Force the rewrite of EXTRAVERSION in kernel sources Makefile (setting it to "")
-K_SABKERNEL_RESET_EXTRAVERSION="${K_SABKERNEL_RESET_EXTRAVERSION:-}"
+K_ARGKERNEL_RESET_EXTRAVERSION="${K_ARGKERNEL_RESET_EXTRAVERSION:-}"
-# @ECLASS-VARIABLE: K_SABKERNEL_LONGTERM
+# @ECLASS-VARIABLE: K_ARGKERNEL_LONGTERM
# @DESCRIPTION:
# Consider Kernel stable patchset as longterm (changing URL)
-K_SABKERNEL_LONGTERM="${K_SABKERNEL_LONGTERM:-}"
+K_ARGKERNEL_LONGTERM="${K_ARGKERNEL_LONGTERM:-}"
# @ECLASS-VARIABLE: K_KERNEL_SOURCES_PKG
# @DESCRIPTION:
@@ -82,7 +82,7 @@ K_KERNEL_SLOT_USEPVR="${K_KERNEL_SLOT_USEPVR:-0}"
# Set this to "1" if your kernel ebuild uses the new Linux kernel upstream
# versioning and ${PV} contains the stable revision, like 3.7.1.
# In the example above, this makes the SLOT variable contain only "3.7".
-# The sublevel version can be forced using K_SABKERNEL_FORCE_SUBLEVEL
+# The sublevel version can be forced using K_ARGKERNEL_FORCE_SUBLEVEL
K_KERNEL_NEW_VERSIONING="${K_KERNEL_NEW_VERSIONING:-0}"
# @ECLASS-VARIABLE: K_KERNEL_IMAGE_NAME
@@ -105,7 +105,7 @@ K_KERNEL_LTS="${K_KERNEL_LTS:-}"
# --kernel-binary= flag.
K_KERNEL_IMAGE_PATH="${K_KERNEL_IMAGE_PATH:-}"
-# @ECLASS-VARIABLE: K_SABKERNEL_FIRMWARE
+# @ECLASS-VARIABLE: K_ARGKERNEL_FIRMWARE
# @DESCRIPTION:
# Set this to "1" if your ebuild is a kernel firmware package
K_FIRMWARE_PACKAGE="${K_FIRMWARE_PACKAGE:-}"
@@ -135,10 +135,10 @@ K_WORKAROUND_SOURCES_COLLISION="${K_WORKAROUND_SOURCES_COLLISION:-}"
# this variable and depmod will work correctly.
K_WORKAROUND_USE_REAL_EXTRAVERSION="${K_WORKAROUND_USE_REAL_EXTRAVERSION:-}"
-# @ECLASS-VARIABLE: K_SABKERNEL_ZFS
+# @ECLASS-VARIABLE: K_ARGKERNEL_ZFS
# @DESCRIPTION:
# If set, this kernel features ZFS.
-K_SABKERNEL_ZFS="${K_SABKERNEL_ZFS:-}"
+K_ARGKERNEL_ZFS="${K_ARGKERNEL_ZFS:-}"
# @ECLASS-VARIABLE: K_GENKERNEL_ARGS
# @DESCRIPTION:
@@ -165,7 +165,7 @@ K_MKIMAGE_WRAP_INITRAMFS="${K_MKIMAGE_WRAP_INITRAMFS:-1}"
# [ARM ONLY] Provide the kernel load address to be used with mkimage
K_MKIMAGE_KERNEL_ADDRESS="${K_MKIMAGE_KERNEL_ADDRESS:-}"
-KERN_INITRAMFS_SEARCH_NAME="${KERN_INITRAMFS_SEARCH_NAME:-initramfs-genkernel*${K_SABKERNEL_NAME}}"
+KERN_INITRAMFS_SEARCH_NAME="${KERN_INITRAMFS_SEARCH_NAME:-initramfs-genkernel*${K_ARGKERNEL_NAME}}"
# Disable deblobbing feature
K_DEBLOB_AVAILABLE=0
@@ -177,35 +177,33 @@ if [ "${K_KERNEL_NEW_VERSIONING}" = "1" ]; then
CKV="$(get_version_component_range 1-2)"
fi
-inherit eutils multilib kernel-2 sabayon-artwork mount-boot linux-info
+inherit eutils multilib kernel-2 argent-artwork mount-boot linux-info
# from kernel-2 eclass
detect_version
detect_arch
-DESCRIPTION="Sabayon Linux kernel functions and phases"
+DESCRIPTION="Argent linux kernel functions and phases"
K_LONGTERM_URL_STR=""
-if [ -n "${K_SABKERNEL_LONGTERM}" ]; then
+if [ -n "${K_ARGKERNEL_LONGTERM}" ]; then
K_LONGTERM_URL_STR="/longterm/v${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}"
fi
## kernel-2 eclass settings
-if [ "${K_SABKERNEL_PATCH_UPSTREAM_TARBALL}" = "1" ]; then
- _patch_name="$(get_version_component_range 1-2)-${K_SABKERNEL_SELF_TARBALL_NAME}-${PVR}.patch.xz"
- SRC_URI="${KERNEL_URI}
- mirror://sabayon/${CATEGORY}/${_patch_name}
- "
+if [ "${K_ARGKERNEL_PATCH_UPSTREAM_TARBALL}" = "1" ]; then
+ _patch_name="$(get_version_component_range 1-2)-${K_ARGKERNEL_SELF_TARBALL_NAME}-${PVR}.patch.xz"
+ SRC_URI="${KERNEL_URI}"
UNIPATCH_LIST="${UNIPATCH_LIST} ${DISTDIR}/${_patch_name}"
unset _patch_name
-elif [ -n "${K_SABKERNEL_SELF_TARBALL_NAME}" ]; then
- SRC_URI="mirror://sabayon/${CATEGORY}/linux-${PVR}+${K_SABKERNEL_SELF_TARBALL_NAME}.tar.${K_TARBALL_EXT}"
+elif [ -n "${K_ARGKERNEL_SELF_TARBALL_NAME}" ]; then
+ SRC_URI="http://bpr.bluepink.ro/~rogentos/argent/${CATEGORY}/linux-${PVR}+${K_ARGKERNEL_SELF_TARBALL_NAME}.tar.${K_TARBALL_EXT}"
else
SRC_URI="${KERNEL_URI}"
fi
-if [ -z "${K_SABKERNEL_SELF_TARBALL_NAME}" ]; then
+if [ -z "${K_ARGKERNEL_SELF_TARBALL_NAME}" ]; then
if [ -n "${K_KERNEL_PATCH_VER}" ]; then
K_PATCH_NAME="patch-${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}.${K_KERNEL_PATCH_VER}.${K_TARBALL_EXT}"
SRC_URI="${SRC_URI}
@@ -222,7 +220,7 @@ _get_real_kv_full() {
if [[ "${KV_MAJOR}${KV_MINOR}" -eq 26 ]]; then
echo "${ORIGINAL_KV_FULL}"
elif [[ "${OKV/.*}" = "3" ]]; then
- # Linux 3.x support, KV_FULL is set to: 3.0-sabayon
+ # Linux 3.x support, KV_FULL is set to: 3.0-argent
# need to add another final .0 to the version part
echo "${ORIGINAL_KV_FULL/-/.0-}"
else
@@ -230,10 +228,10 @@ _get_real_kv_full() {
fi
}
-# replace "linux" with K_SABKERNEL_NAME, usually replaces
-# "linux" with "sabayon" or "server" or "openvz"
-KV_FULL="${KV_FULL/${PN/-*}/${K_SABKERNEL_NAME}}"
-EXTRAVERSION="${EXTRAVERSION/${PN/-*}/${K_SABKERNEL_NAME}}"
+# replace "linux" with K_ARGKERNEL_NAME, usually replaces
+# "linux" with "argent" or "server" or "openvz"
+KV_FULL="${KV_FULL/${PN/-*}/${K_ARGKERNEL_NAME}}"
+EXTRAVERSION="${EXTRAVERSION/${PN/-*}/${K_ARGKERNEL_NAME}}"
# drop -rX if exists
if [[ -n "${PR//r0}" ]] && [[ "${K_KERNEL_DISABLE_PR_EXTRAVERSION}" = "1" ]] \
&& [[ -z "${K_NOSETEXTRAVERSION}" ]]; then
@@ -246,7 +244,7 @@ ORIGINAL_KV_FULL="${KV_FULL}"
KV_FULL="$(_get_real_kv_full)"
# Starting from linux-3.0, we still have to install
-# sources stuff into /usr/src/linux-3.0.0-sabayon (example)
+# sources stuff into /usr/src/linux-3.0.0-argent (example)
# where the last part must always match uname -r
# otherwise kernel-switcher (and RELEASE_LEVEL file)
# will complain badly
@@ -294,10 +292,10 @@ if _is_kernel_binary; then
fi
fi
-if [ -n "${K_SABKERNEL_SELF_TARBALL_NAME}" ]; then
- HOMEPAGE="https://github.com/Sabayon/kernel"
+if [ -n "${K_ARGKERNEL_SELF_TARBALL_NAME}" ]; then
+ HOMEPAGE="https://github.com/Rogentos/kernel"
else
- HOMEPAGE="http://www.sabayon.org"
+ HOMEPAGE="http://www.argent.ro"
fi
# Returns success if _set_config_file_vars was called.
@@ -340,10 +338,10 @@ _set_config_file_vars() {
fi
fi
- K_SABKERNEL_CONFIG_FILES=()
- K_SABKERNEL_CONFIG_FILES+=( "${K_SABKERNEL_NAME}-${pvr}-$(_get_arch).config" )
- K_SABKERNEL_CONFIG_FILES+=( "${K_SABKERNEL_NAME}-${pv}-$(_get_arch).config" )
- K_SABKERNEL_CONFIG_FILES+=( "${K_SABKERNEL_NAME}-$(_get_arch).config" )
+ K_ARGKERNEL_CONFIG_FILES=()
+ K_ARGKERNEL_CONFIG_FILES+=( "${K_ARGKERNEL_NAME}-${pvr}-$(_get_arch).config" )
+ K_ARGKERNEL_CONFIG_FILES+=( "${K_ARGKERNEL_NAME}-${pv}-$(_get_arch).config" )
+ K_ARGKERNEL_CONFIG_FILES+=( "${K_ARGKERNEL_NAME}-$(_get_arch).config" )
_config_file_set=1
}
@@ -354,7 +352,7 @@ if [ -n "${K_ONLY_SOURCES}" ] || [ -n "${K_FIRMWARE_PACKAGE}" ]; then
RDEPEND="${RDEPEND}"
else
IUSE="dmraid dracut iscsi luks lvm mdadm plymouth splash"
- if [ -n "${K_SABKERNEL_ZFS}" ]; then
+ if [ -n "${K_ARGKERNEL_ZFS}" ]; then
IUSE="${IUSE} zfs"
fi
DEPEND="app-arch/xz-utils
@@ -365,7 +363,7 @@ else
arm? ( dev-embedded/u-boot-tools )
amd64? ( sys-apps/v86d )
x86? ( sys-apps/v86d )
- splash? ( x11-themes/sabayon-artwork-core )
+ splash? ( x11-themes/argent-artwork-core )
lvm? ( sys-fs/lvm2 sys-block/thin-provisioning-tools )
plymouth? (
|| ( >=sys-kernel/genkernel-next-5 >=sys-kernel/genkernel-5 )
@@ -405,7 +403,7 @@ _update_depmod() {
fi
}
-sabayon-kernel_pkg_setup() {
+argent-kernel_pkg_setup() {
if [ -n "${K_FIRMWARE_PACKAGE}" ]; then
einfo "Preparing kernel firmwares"
else
@@ -413,10 +411,10 @@ sabayon-kernel_pkg_setup() {
fi
}
-sabayon-kernel_src_unpack() {
+argent-kernel_src_unpack() {
local okv="${OKV}"
- if [ -n "${K_SABKERNEL_SELF_TARBALL_NAME}" ] && [ "${K_SABKERNEL_PATCH_UPSTREAM_TARBALL}" != "1" ]; then
- OKV="${PVR}+${K_SABKERNEL_SELF_TARBALL_NAME}"
+ if [ -n "${K_ARGKERNEL_SELF_TARBALL_NAME}" ] && [ "${K_ARGKERNEL_PATCH_UPSTREAM_TARBALL}" != "1" ]; then
+ OKV="${PVR}+${K_ARGKERNEL_SELF_TARBALL_NAME}"
fi
if [ "${K_KERNEL_NEW_VERSIONING}" = "1" ]; then
# workaround for kernel-2's universal_unpack assumptions
@@ -424,12 +422,12 @@ sabayon-kernel_src_unpack() {
else
kernel-2_src_unpack
fi
- if [ -n "${K_SABKERNEL_FORCE_SUBLEVEL}" ]; then
+ if [ -n "${K_ARGKERNEL_FORCE_SUBLEVEL}" ]; then
# patch out Makefile with proper sublevel
- sed -i "s:^SUBLEVEL = .*:SUBLEVEL = ${K_SABKERNEL_FORCE_SUBLEVEL}:" \
+ sed -i "s:^SUBLEVEL = .*:SUBLEVEL = ${K_ARGKERNEL_FORCE_SUBLEVEL}:" \
"${S}/Makefile" || die
fi
- if [ -n "${K_SABKERNEL_RESET_EXTRAVERSION}" ]; then
+ if [ -n "${K_ARGKERNEL_RESET_EXTRAVERSION}" ]; then
sed -i "s:^EXTRAVERSION =.*:EXTRAVERSION = :" "${S}/Makefile" || die
# some sources could have multiple append-based EXTRAVERSIONs
sed -i "s/^EXTRAVERSION :=.*//" "${S}/Makefile" || die
@@ -438,15 +436,15 @@ sabayon-kernel_src_unpack() {
# Let's handle EAPIs 0 and 1...
case ${EAPI:-0} in
- 0|1) sabayon-kernel_src_prepare ;;
+ 0|1) argent-kernel_src_prepare ;;
esac
}
-sabayon-kernel_src_prepare() {
+argent-kernel_src_prepare() {
_set_config_file_vars
}
-sabayon-kernel_src_compile() {
+argent-kernel_src_compile() {
if [ -n "${K_FIRMWARE_PACKAGE}" ]; then
_firmwares_src_compile
elif [ -n "${K_ONLY_SOURCES}" ]; then
@@ -470,15 +468,15 @@ _firmwares_src_compile() {
_kernel_copy_config() {
_is_config_file_set \
- || die "Kernel configuration file not set. Was sabayon-kernel_src_prepare() called?"
+ || die "Kernel configuration file not set. Was argent-kernel_src_prepare() called?"
local base_path="${DISTDIR}"
- if [ -n "${K_SABKERNEL_SELF_TARBALL_NAME}" ]; then
- base_path="${S}/sabayon/config"
+ if [ -n "${K_ARGKERNEL_SELF_TARBALL_NAME}" ]; then
+ base_path="${S}/argent/config"
fi
local found= cfg=
- for cfg in "${K_SABKERNEL_CONFIG_FILES[@]}"; do
+ for cfg in "${K_ARGKERNEL_CONFIG_FILES[@]}"; do
cfg="${base_path}/${cfg}"
if [ -f "${cfg}" ]; then
cp "${cfg}" "${1}" || die "cannot copy kernel config ${cfg} -> ${1}"
@@ -487,7 +485,7 @@ _kernel_copy_config() {
break
fi
done
- [[ -z "${found}" ]] && die "cannot find kernel configs among: ${K_SABKERNEL_CONFIG_FILES[*]}"
+ [[ -z "${found}" ]] && die "cannot find kernel configs among: ${K_ARGKERNEL_CONFIG_FILES[*]}"
}
_kernel_src_compile() {
@@ -517,15 +515,15 @@ _kernel_src_compile() {
cd "${S}" || die
local GKARGS=()
- GKARGS+=( "--no-save-config" "--e2fsprogs" "--udev" )
- use splash && GKARGS+=( "--splash=sabayon" )
- use plymouth && GKARGS+=( "--plymouth" "--plymouth-theme=${PLYMOUTH_THEME}" )
+ GKARGS+=( "--no-menuconfig" "--no-save-config" "--e2fsprogs" "--udev" )
+ # use splash && GKARGS+=( "--splash=argent" ) #NO MORE fbsplash!!!
+ use plymouth && GKARGS+=( "--plymouth" "--plymouth-theme=${PLYMOUTH_THEME}" ) #reverted to use variable (check the eclass)
use dmraid && GKARGS+=( "--dmraid" )
use iscsi && GKARGS+=( "--iscsi" )
use mdadm && GKARGS+=( "--mdadm" )
use luks && GKARGS+=( "--luks" )
use lvm && GKARGS+=( "--lvm" )
- if [ -n "${K_SABKERNEL_ZFS}" ]; then
+ if [ -n "${K_ARGKERNEL_ZFS}" ]; then
use zfs && GKARGS+=( "--zfs" )
fi
@@ -607,7 +605,7 @@ _setup_mkimage_ramdisk() {
return 0
}
-sabayon-kernel_src_install() {
+argent-kernel_src_install() {
if [ -n "${K_FIRMWARE_PACKAGE}" ]; then
_firmwares_src_install
elif [ -n "${K_ONLY_SOURCES}" ]; then
@@ -739,12 +737,12 @@ _kernel_src_install() {
_dracut_initramfs_create "${KV_FULL}"
}
-sabayon-kernel_pkg_preinst() {
+argent-kernel_pkg_preinst() {
if _is_kernel_binary; then
mount-boot_pkg_preinst
fi
}
-sabayon-kernel_grub2_mkconfig() {
+argent-kernel_grub2_mkconfig() {
if [ -x "${ROOT}usr/sbin/grub2-mkconfig" ]; then
# Grub 2.00
"${ROOT}usr/sbin/grub2-mkconfig" -o "${ROOT}boot/grub/grub.cfg"
@@ -773,7 +771,7 @@ _get_release_level() {
elif [[ "${KV_MAJOR}${KV_MINOR}" -eq 26 ]]; then
echo "${KV_FULL}"
elif [[ "${OKV/.*}" = "3" ]] && [[ "${KV_PATCH}" = "0" ]]; then
- # Linux 3.x support, KV_FULL is set to: 3.0-sabayon
+ # Linux 3.x support, KV_FULL is set to: 3.0-argent
# need to add another final .0 to the version part
echo "${KV_FULL/-/.0-}"
else
@@ -781,7 +779,7 @@ _get_release_level() {
fi
}
-sabayon-kernel_uimage_config() {
+argent-kernel_uimage_config() {
# Two cases here:
# 1. /boot/uImage symlink is broken (pkg_postrm)
# 2. /boot/uImage symlink doesn't exist (pkg_postinst)
@@ -813,7 +811,7 @@ sabayon-kernel_uimage_config() {
fi
}
-sabayon-kernel_bzimage_config() {
+argent-kernel_bzimage_config() {
# Two cases here:
# 1. /boot/bzImage symlink is broken (pkg_postrm)
# 2. /boot/bzImage symlink doesn't exist (pkg_postinst)
@@ -864,7 +862,7 @@ _dracut_initramfs_create() {
dracut -q -N -f --kver="${kver}" "${D}/boot/initramfs-dracut-${kver}"
}
-sabayon-kernel_pkg_postinst() {
+argent-kernel_pkg_postinst() {
if _is_kernel_binary; then
fstab_file="${ROOT}etc/fstab"
einfo "Removing extents option for ext4 drives from ${fstab_file}"
@@ -874,7 +872,7 @@ sabayon-kernel_pkg_postinst() {
fi
# Update kernel initramfs to match user customizations
- use splash && update_sabayon_kernel_initramfs_splash
+ use splash && update_argent_kernel_initramfs_splash
# Add kernel to grub.conf
if use amd64 || use x86; then
@@ -890,18 +888,18 @@ sabayon-kernel_pkg_postinst() {
"/boot/initramfs-genkernel-${kern_arch}-${KV_FULL}"
fi
- sabayon-kernel_grub2_mkconfig
+ argent-kernel_grub2_mkconfig
fi
# Setup newly installed kernel on ARM
if use arm; then
- sabayon-kernel_uimage_config
+ argent-kernel_uimage_config
fi
# Setup newly installed kernel on x86/amd64
# This is quite handy for static grub1/grub2
# configurations (like on Amazon EC2)
if use x86 || use amd64; then
- sabayon-kernel_bzimage_config
+ argent-kernel_bzimage_config
fi
kernel-2_pkg_postinst
@@ -909,11 +907,11 @@ sabayon-kernel_pkg_postinst() {
_update_depmod "${depmod_r}"
elog "Please report kernel bugs at:"
- elog "http://bugs.sabayon.org"
+ elog "http://bugs.argent.ro"
elog "The source code of this kernel is located at"
elog "=${K_KERNEL_SOURCES_PKG}."
- elog "Sabayon Linux recommends that portage users install"
+ elog "RogentOS Team recommends that portage users install"
elog "${K_KERNEL_SOURCES_PKG} if you want"
elog "to build any packages that install kernel modules"
elog "(such as ati-drivers, nvidia-drivers, virtualbox, etc...)."
@@ -922,13 +920,13 @@ sabayon-kernel_pkg_postinst() {
fi
}
-sabayon-kernel_pkg_prerm() {
+argent-kernel_pkg_prerm() {
if _is_kernel_binary; then
mount-boot_pkg_prerm
fi
}
-sabayon-kernel_pkg_postrm() {
+argent-kernel_pkg_postrm() {
if _is_kernel_binary; then
# Remove kernel from grub.conf
if use amd64 || use x86; then
@@ -943,18 +941,18 @@ sabayon-kernel_pkg_postrm() {
"/boot/initramfs-genkernel-${kern_arch}-${KV_FULL}"
fi
- sabayon-kernel_grub2_mkconfig
+ argent-kernel_grub2_mkconfig
fi
# Setup newly installed kernel on ARM
if use arm; then
- sabayon-kernel_uimage_config
+ argent-kernel_uimage_config
fi
# Setup newly installed kernel on x86/amd64
# This is quite handy for static grub1/grub2
# configurations (like on Amazon EC2)
if use x86 || use amd64; then
- sabayon-kernel_bzimage_config
+ argent-kernel_bzimage_config
fi
fi
}
diff --git a/eclass/kogaion-kernel.eclass b/eclass/kogaion-kernel.eclass
index 36c0888c..581094e6 100644
--- a/eclass/kogaion-kernel.eclass
+++ b/eclass/kogaion-kernel.eclass
@@ -512,6 +512,7 @@ _kernel_src_compile() {
local GKARGS=()
GKARGS+=( "--no-menuconfig" "--no-save-config" "--e2fsprogs" "--udev" )
# use splash && GKARGS+=( "--splash=kogaion" ) #NO MORE fbsplash!!!
+ use btrfs && GKARGS+=( "--btrfs" )
use plymouth && GKARGS+=( "--plymouth" "--plymouth-theme=${PLYMOUTH_THEME}" ) #reverted to use variable (check the eclass)
use dmraid && GKARGS+=( "--dmraid" )
use iscsi && GKARGS+=( "--iscsi" )